package com.srs.dormitory.mapper;

import com.srs.dormitory.domain.DmsBuildingDept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Vo.EmptyDormitoryVo;
import com.srs.dormitory.domain.Vo.GenderVo;
import com.srs.dormitory.domain.Vo.GendersVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 宿舍楼和部门关系中间表 Mapper 接口
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-31
 */
public interface DmsBuildingDeptMapper extends BaseMapper<DmsBuildingDept> {

    List<GenderVo> selectGenderCount(@Param("id") Long id, @Param("gradeId") Long gradeId);

    List<GendersVo> selectDeptId();

    EmptyDormitoryVo selectEmptyDormitory(Long id);

    List<Map<String, Object>> selectBuilding(Long deptId);
}
